#!/bin/awk -f
## Prints the charts in BOXPLOT format in xmgrace
## Use as: cn2l.awk <mass-file subsample *.atm >
## or 
##         awk -f cn2l.awk -v scale=1e-12
##  - to set non-default strength scale
BEGIN{
    # flag to start new tmp* files of layers:
    pr = 1
    # check if the "-v scale=new_value" was not specified in a command line
    if (scale==0) scale=1e-12
    screc = scale
    gsub("e","x10\\\\S",screc)
    screc = "string def \""screc"\\\\N\ m\\\\S1"
    system ("sed 's%^.*m.S1%"screc"%' cn2x.par >tmp.par")
    system("rm -f tmp[0123456789]")
}
{
    if ($1=="T" && $4=="X" && $6<500) {
    ut=substr($3,1,2)+substr($3,4,2)/60+substr($3,7,2)/3600 
    nlay=$5
    if (pr) {
	for (l=0;l<nlay;l++) print "# layer ",l," data" >"tmp"l
        pr = 0
    }
    for (l=0;l<nlay;l++) {h=$(8+2*l); cn2=$(9+2*l); f=2^(cn2/scale); 
 print ut, h, h*f,h/f,h*f,h/f >>"tmp"l}
    }
}
END{
    system ("xmgrace -autoscale none -settype xyboxplot -log y -param tmp.par tmp[012345]")
}













