#!/bin/awk -f
## Output t, fsee, theta0, tau0 from MASS files
##  ./export.awk mass-file [>res-file]
## filtering parameters are in the script
BEGIN{
 good = 0
 Dfluxmin = 100
 Chi2max = 500
 Fluxvarmax = 0.01
}  
{
# Check of the flux value and variability
    if ($1=="F") {
      fluxd = $10; if (fluxd==0) {fluxd=1};
      if (fluxd>Dfluxmin && $11<Fluxvarmax) {good = 1} else {good = 0}
    }
    if ($1=="I") {SI = $4}

    if ($1=="T" && $4=="X") {
    ut=substr($3,1,2)+substr($3,4,2)/60+substr($3,7,2)/3600 
    nlay=$5
    if (nlay<7) {ll=0} else {ll=1}
    sum1=0;
    for (l=0;l<nlay-ll;l++) sum1+=$(9+2*(l+ll))
 # Correct for over-shoots, compute seeing
    fsee = (sum1/(1 + 0.7*SI)/6.8e-13)**0.6
    if ($6<Chi2max) {good=0}
    }
    if ($1=="A" && good == 1) {
    print ut, fsee, $16, $20
#    print $2, $3, $4*(1 + 0.7*SI)^(-0.6), $16, $20
    }
}












